﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RoutedEvents
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Grid_MouseLeftButtonDown
            (object sender, MouseButtonEventArgs e)
        {
            eventOrder.Text += " Grid; ";
            e.Handled = true;
        }

        private void Canvas_MouseLeftButtonDown
            (object sender, MouseButtonEventArgs e)
        {
            eventOrder.Text += " Canvas -";
        }

        private void StackPanel_MouseLeftButtonDown
            (object sender, MouseButtonEventArgs e)
        {
            eventOrder.Text += " StackPanel -";
        }
    }
}
