﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace LayoutControlsExample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ButtonCanvas_Click(object sender, RoutedEventArgs e)
        {
            Canvas cnw = new Canvas();
            cnw.Show();
        }

        private void ButtonStackPanel_Click(object sender, RoutedEventArgs e)
        {
            StackPanel spw = new StackPanel();
            spw.Show();
        }

        private void ButtonGrid_Click(object sender, RoutedEventArgs e)
        {
            Grid grdw = new Grid();
            grdw.Show();
        }

        private void ButtonUniformGrid_Click(object sender, RoutedEventArgs e)
        {
            UniformGrid ungrdw = new UniformGrid();
            ungrdw.Show();
        }

        private void ButtonDockPanel_Click(object sender, RoutedEventArgs e)
        {
            DockPanel dpw = new DockPanel();
            dpw.Show();
        }

        private void ButtonTabPanel_Click(object sender, RoutedEventArgs e)
        {
            TabPanel tbpw = new TabPanel();
            tbpw.Show();
        }

        private void ButtonSizing_Click(object sender, RoutedEventArgs e)
        {
            Sizing szw = new Sizing();
            szw.Show();
        }

        private void ButtonAlignment_Click(object sender, RoutedEventArgs e)
        {
            AlignmentProperty algw = new AlignmentProperty();
            algw.Show();
        }

        private void ButtonMargin_Click(object sender, RoutedEventArgs e)
        {
            MarginProperty mgpw = new MarginProperty();
            mgpw.Show();

        }

        private void ButtonPadding_Click(object sender, RoutedEventArgs e)
        {
            PaddingProperty pdpw = new PaddingProperty();
            pdpw.Show();
        }

        private void ButtonVisibility_Click(object sender, RoutedEventArgs e)
        {
            VisibilityProperty vspw = new VisibilityProperty();
            vspw.Show();
        }
    }
}
