﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Controls.Primitives;

namespace ContextMenu_Silverlight
{
    public partial class MainPage : UserControl
    {
        Popup contextMenu = new Popup();

        public MainPage()
        {
            InitializeComponent();
        }

        private void contextmenutextbox_MouseRightButtonDown(object sender, MouseButtonEventArgs e)
        {
            e.Handled = true;
        }

        private void contextmenutextbox_MouseRightButtonUp(object sender, MouseButtonEventArgs e)
        {
            StackPanel panel1 = new StackPanel();
            panel1.Background = new SolidColorBrush(Colors.LightGray);
            //Menu Item 1
            Button menuitem1 = new Button();
            menuitem1.Content = "Menu Item 1";
            menuitem1.Width = 100;
            menuitem1.Margin = new Thickness(3);
            //Click event to provide print functionality
            menuitem1.Click += new
            RoutedEventHandler(menuitem1_Click);

            //Menu Item 2
            Button menuitem2 = new Button();
            menuitem2.Content = "Menu Item 2";
            menuitem2.Width = 100;
            menuitem2.Margin = new Thickness(3);
            //Click event to provide print functionality
            menuitem2.Click += new
            RoutedEventHandler(menuitem2_Click);

            panel1.Children.Add(menuitem1);
            panel1.Children.Add(menuitem2);

            contextMenu.Child = panel1;
            //set display location to current cursor
            contextMenu.VerticalOffset = e.GetPosition(null).Y;
            contextMenu.HorizontalOffset = e.GetPosition(null).X;
            //show the context print menu
            contextMenu.IsOpen = true;
        }
        
        private void menuitem1_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("Menu Item 1 Related Code..");
            contextMenu.IsOpen = false;
        }

        private void menuitem2_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("Menu Item 2 Related Code..");
            contextMenu.IsOpen = false;
        }

    }
}
